<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xmlns:jaxws="http://cxf.apache.org/jaxws"
	xmlns:jaxrs="http://cxf.apache.org/jaxrs"
	xsi:schemaLocation="
       http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
       http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
       http://cxf.apache.org/jaxrs http://cxf.apache.org/schemas/jaxrs.xsd">

  	<import resource="classpath:META-INF/cxf/cxf.xml"/>
  	<import resource="classpath:META-INF/cxf/cxf-servlet.xml"/>

  
	<jaxws:endpoint id="archiveservice"
		implementor="net.brutex.xservices.ws.impl.ArchiveServiceImpl" address="/ArchiveService">
	</jaxws:endpoint>

	<jaxws:endpoint id="dateservice"
		implementor="net.brutex.xservices.ws.impl.DateServiceImpl" address="/DateService">
	</jaxws:endpoint>

	<jaxws:endpoint id="fileservice"
		implementor="net.brutex.xservices.ws.impl.FileServiceImpl" address="/FileService">
		<jaxws:properties>
			<entry key="mtom-enabled" value="false" />
		</jaxws:properties>
	</jaxws:endpoint>

	<!-- This is the MTOM enabled FileServices endpoint -->
	<jaxws:endpoint id="fileservice2"
		implementor="net.brutex.xservices.ws.impl.FileServiceImpl" address="/FileServiceMTOM">
		<jaxws:properties>
			<entry key="mtom-enabled" value="true" />
			<entry key="attachment-directory" value="c:\temp" />
			<entry key="attachment-memory-threshold" value="2000" />
		</jaxws:properties>
	</jaxws:endpoint>


	<jaxws:endpoint id="executeservice"
		implementor="net.brutex.xservices.ws.impl.ExecuteServiceImpl" address="/ExecuteService">
	</jaxws:endpoint>

	<jaxws:endpoint id="jobservice"
		implementor="net.brutex.xservices.ws.impl.JobServiceImpl" address="/JobService">
	</jaxws:endpoint>

	<jaxws:endpoint id="mailservice"
		implementor="net.brutex.xservices.ws.impl.MailServiceImpl" address="/MailService">
	</jaxws:endpoint>

	<jaxws:endpoint id="miscservice"
		implementor="net.brutex.xservices.ws.impl.MiscServiceImpl" address="/MiscService">
	</jaxws:endpoint>

	<jaxws:endpoint id="stringservice"
		implementor="net.brutex.xservices.ws.impl.StringServiceImpl" address="/StringService">
	</jaxws:endpoint>

	<jaxws:endpoint id="storageservice"
		implementor="net.brutex.xservices.ws.impl.StorageServiceImpl" address="/StorageService">
	</jaxws:endpoint>

	<jaxws:endpoint id="storageservice2"
		implementor="net.brutex.xservices.ws.impl.StorageServiceImpl" address="/StorageServiceMTOM">
		<jaxws:properties>
			<entry key="mtom-enabled" value="true" />
			<entry key="attachment-directory" value="c:\temp" />
			<entry key="attachment-memory-threshold" value="2000" />
		</jaxws:properties>
	</jaxws:endpoint>

	<jaxws:endpoint id="xmlservice"
		implementor="net.brutex.xservices.ws.impl.XmlServiceImpl" address="/XmlService">
	</jaxws:endpoint>


	<jaxrs:server id="FileInfo" address="/fileinfo">
		<jaxrs:serviceBeans>
			<ref bean="FileInfoBean" />
		</jaxrs:serviceBeans>
	</jaxrs:server>
	<bean id="FileInfoBean" class="net.brutex.xservices.ws.rs.FileInfoImpl" />


	<jaxrs:server id="CVSInfo" address="/cvsinfo">
		<jaxrs:serviceBeans>
			<ref bean="CVSInfoBean" />
		</jaxrs:serviceBeans>
	</jaxrs:server>
	<bean id="CVSInfoBean" class="net.brutex.xservices.ws.rs.CVSInfoImpl" />
	
	<!-- 
	<jaxrs:server id="DIMCMInfo" address="/dimcminfo">
		<jaxrs:serviceBeans>
			<ref bean="DIMCMInfoBean" />
		</jaxrs:serviceBeans>
	</jaxrs:server>
	<bean id="DIMCMInfoBean" class="net.brutex.xservices.ws.rs.DIMCMInfoImpl" />
	-->

</beans>
